Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-1272

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2009-1272
Last Modified 16 Sep 2009 01:30:35
Published 08 Apr 2009 02:30:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2009-1272

Summary

The php_zip_make_relative_path function in php_zip.c in PHP 5.2.x before 5.2.9 allows context-dependent attackers to cause a denial of service (crash) via a ZIP file that contains filenames with relative paths, which is not properly handled during extraction.

Vulnerable Systems

Application

  • Php 5.2.0

  • Php 5.2.1

  • Php 5.2.2

  • Php 5.2.3

  • Php 5.2.4

  • Php 5.2.5

  • Php 5.2.6

  • Php 5.2.7

  • Php 5.2.8


References

CONFIRM - http://www.php.net/releases/5_2_9.php

MLIST - [oss-security] 20090409 Re: CVE request: PHP 5.2.9

MLIST - [oss-security] 20090401 CVE request: PHP 5.2.9

CONFIRM - http://support.apple.com/kb/HT3865

SECUNIA - 36701

SECUNIA - 35685

HP - SSRT090062

SUSE - SUSE-SR:2009:012

APPLE - APPLE-SA-2009-09-10-2

MISC - http://cvs.php.net/viewvc.cgi/php-src/ext/zip/php_zip.c?r1=1.1.2.48&r2=1.1.2.49

HP - HPSBMA02447


Last Updated: 27 May 2016 10:51:54